Name:           cluttermm
Version:        0.5.1
Release:        2%{?dist}

Summary:        C++ wrapper for clutter library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/cluttermm/0.5/%{name}-%{version}.tar.bz2
Patch0:         cluttermm-0.5.1-apiver.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtkmm24-devel >= 2.10.9
BuildRequires: clutter-devel
BuildRequires: clutter-cairo-devel
BuildRequires: clutter-gtk-devel
BuildRequires: cairomm-devel
BuildRequires: doxygen graphviz


%description
Cluttermm is a C++ wrapper library for clutter: an OpenGL-based
library for creating fast, visually rich and animated graphical user
interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel clutter-devel pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing gstreamermm applications.


%package cairo
Summary:   C++ wrapper for clutter-cairo library
Group:     Development/Languages
Requires:  %{name} = %{version}-%{release}


%description cairo
This provides C++ bindings for the clutter-cairo library.


%package cairo-devel
Summary:   Cluttermm-cairo development environment
Group:     Development/Libraries
Requires:  %{name}-cairo = %{version}-%{release}
Requires:  cluttermm-devel cairomm-devel pkgconfig


%description cairo-devel
Header files and libraries for building applications using the
clutter-cairo C++ bindings.


%package gtk
Summary:   C++ wrapper for clutter-gtk library
Group:     Development/Languages
Requires:  %{name} = %{version}-%{release}


%description gtk
This provides C++ bindings for the clutter-gtk library


%package gtk-devel
Summary:   Cluttermm-gtk development environment
Group:     Development/Libraries
Requires:  %{name}-gtk = %{version}-%{release}
Requires:  cluttermm-devel pkgconfig


%description gtk-devel
Header files and libraries for building applications using the
clutter-gtk C++ bindings.


%prep
%setup -q
%patch0 -p1 -b .apiver


%build
%configure --enable-shared --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-0.6
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-cairo-0.6
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-gtk-0.6


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%post cairo -p /sbin/ldconfig
%post gtk -p /sbin/ldconfig


%postun -p /sbin/ldconfig
%postun cairo -p /sbin/ldconfig
%postun gtk -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libcluttermm-0.6.so.*


%files devel
%defattr(-, root, root, -)
%doc docs/reference/html/ examples/test-actors.cc
%{_includedir}/cluttermm-0.6
%{_libdir}/libcluttermm-0.6.so
%{_libdir}/pkgconfig/cluttermm-0.6.pc


%files cairo
%defattr(-, root, root, -)
%{_libdir}/libcluttermm-cairo-*.so.*


%files cairo-devel
%defattr(-, root, root, -)
%doc examples/simple-cairo.cc examples/flowers.cc
%{_includedir}/cluttermm-cairo-0.6
%{_libdir}/libcluttermm-cairo-*.so
%{_libdir}/pkgconfig/cluttermm-cairo-0.6.pc


%files gtk
%defattr(-, root, root, -)
%{_libdir}/libcluttermm-gtk-*.so.*


%files gtk-devel
%defattr(-, root, root, -)
%doc examples/embed-gtk.cc
%{_includedir}/cluttermm-gtk-0.6
%{_libdir}/libcluttermm-gtk-*.so
%{_libdir}/pkgconfig/cluttermm-gtk-0.6.pc


%changelog
* Tue Jun  3 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-2
- fixed gtkmm BR

* Mon Jun  2 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-1
- Initial version, inspired by Rick Vinyard's initial work
